/*
** EPITECH PROJECT, 2019
** GGJ_2019
** File description:
** panel.hpp
*/

#ifndef GAME_PANEL_HPP_
#define GAME_PANEL_HPP_

#include <SFML/Graphics.hpp>
#include <utility>
#include <string>
#include <vector>

class GamePanel {
public:
    GamePanel(const std::string &);
    GamePanel(const GamePanel &) = delete;
    ~GamePanel(void);
    sf::Text getText(void);
    sf::Texture getTexture(void);
    std::vector<std::pair<std::string &, std::string &>> getChoices(void);
private:
    void createText(const std::string &);
    void createTexture(const std::string &);
    void createChoices(const std::string &);
    sf::Text _Text;
    sf::Texture _Texture;
    std::vector<std::pair<std::string &, std::string &>> _Choices;
};

#endif
